#ifndef	_GPErrorCode_h_
#define	_GPErrorCode_h_

enum E_GPFacilityCode
{
	// Application Framework
	eGP_FACILITY_FRM				= 0x0100,
	eGP_FACILITY_FRM_GUI			= 0x0101,
	eGP_FACILITY_FRM_KERNEL			= 0x0102,

	// Project Management
	eGP_FACILITY_PM					= 0x0200,
	eGP_FACILITY_PM_BUILDER			= 0x0201,
	eGP_FACILITY_PM_ASSEMBLER		= 0x0202,
	eGP_FACILITY_PM_COMPILER		= 0x0203,
	eGP_FACILITY_PM_LINKER			= 0x0204,
	eGP_FACILITY_PM_RES_HANDLER		= 0x0205,

	// Debugger
	eGP_FACILITY_DBG				= 0x0300,
	eGP_FACILITY_DBG_PROBE			= 0x0301,
	eGP_FACILITY_DBG_EMULATOR		= 0x0302,	// ICE & Simulator
	eGP_FACILITY_DBG_INFORMATION	= 0x0303,	// debug information

	// Driver
	eGP_FACILITY_DRV				= 0x0400,

	// Others (Common)
	eGP_FACILITY_CMN				= 0x0700,
	eGP_FACILITY_CMN_MEMORY			= 0x0701,
	eGP_FACILITY_CMN_FILE			= 0x0702,
};

#endif	// _GPErrorCode_h_